# Uses of Class
java.lang.module.ModuleDescriptor.Provides

Packages that use ModuleDescriptor.Provides
Package
Description
java.lang.module
Classes to support module descriptors and creating configurations of modules by means of resolution and service binding.

## Uses of ModuleDescriptor.Provides in java.lang.module

Methods in java.lang.module that return types with arguments of type ModuleDescriptor.Provides
Modifier and Type
Method
Description
`Set<ModuleDescriptor.Provides>`
ModuleDescriptor.`provides()`
Returns the set of `Provides` objects representing the services that the module provides.
Methods in java.lang.module with parameters of type ModuleDescriptor.Provides
Modifier and Type
Method
Description
`int`
ModuleDescriptor.Provides.`compareTo​(ModuleDescriptor.Provides that)`
Compares this `Provides` to another.
`ModuleDescriptor.Builder`
ModuleDescriptor.Builder.`provides​(ModuleDescriptor.Provides p)`
Provides a service with one or more implementations.